Update deployment procedure input
put
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/deploymentProcedures
Used to update inputs of configuration deployment proedure.It is equivalent to update_procedure_input in emcli.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectThis is the representation of input of a deployment procedure.
Match All
This is the representation of input of a deployment procedure.
Show Source
-
object
DeploymentProcedureSaveInputDetails
This is the representation of an input given while submitting deployment procedure.
Nested Schema : DeploymentProcedureSaveInputDetails
Type:
objectThis is the representation of an input given while submitting deployment procedure.
Show Source
-
configurationName: string
Represents deployment procedure configuration nameExample:
CONFIGDP -
notification: object
Notification
Status of the deployment procedure instance for which the end-users can choose to be notified.
-
schedule: object
Schedule
Defining time schedule
-
targetList: array
DeploymentProcedureTargetList
Defining list of procedure targets
-
variables: object
DeploymentProcedureVariableCollection
Collections of Procedure Variable
Nested Schema : Notification
Type:
objectStatus of the deployment procedure instance for which the end-users can choose to be notified.
Show Source
-
value: string
The status of the procedure.All available status are scheduled, running, action required, succeeded, problems, suspended
Nested Schema : Schedule
Type:
objectDefining time schedule
Show Source
-
isTargetZoneUsed: boolean
To indicate the time should be interpreted in target's timezone or not. If Timezone is specified in time and useTargetZone is true, it will be reported as an ERROR conditionExample:
true -
recurring: string
Frequency at which the operation must be executed repeatedlyExample:
Weekly -
scheduleType: string
Currently we support ical specification default is ICAL, in future it can be extended to other types e.g CRON.
-
startGracePeriodInMinutes: number
Time in minutes after which the job will be marked as skipped if not started. Null or Negative value means no grace period.Example:
60 -
timeToEnd: string
end time for the job in the format YYYY-MM-DDTHH24:Mi:SSZTimezone Timezone specification is optional and will be defaulted to UTC.Example:
2021-03-02 22:00:13 -
timeToStart: string
start time for the job in the format YYYY-MM-DDTHH24:Mi:SSZTimezone Timezone specification is optional and will be defaulted to UTC.Example:
2021-03-01 21:23:03
Nested Schema : DeploymentProcedureTargetList
Type:
arrayDefining list of procedure targets
Show Source
Nested Schema : DeploymentProcedureVariableCollection
Type:
objectCollections of Procedure Variable
Show Source
-
items: array
items
The list of procedure variables
Nested Schema : items
Type:
Show Source
object-
name: string
name of target typeExample:
host -
targets: object
DeploymentProcedureTargetCollection
Collections of Procedure Target
Nested Schema : DeploymentProcedureTargetCollection
Type:
objectCollections of Procedure Target
Show Source
-
items: array
items
The list of targets
Nested Schema : items
Type:
arrayThe list of targets
Show Source
-
Array of:
object DeploymentProcedureTargetSummary
This is the representation of Procedure Target
Nested Schema : DeploymentProcedureTargetSummary
Type:
objectThis is the representation of Procedure Target
Match All
This is the representation of Procedure Target
Show Source
-
object
DeploymentProcedureTargetDetails
Defining Target for Deployment Procedure
Nested Schema : DeploymentProcedureTargetDetails
Type:
objectDefining Target for Deployment Procedure
Show Source
-
credentialReferences: array
CredentialReference
This is the representation of credential references.
-
targetName: string
Target NameExample:
host1.oracle.com -
targetType: string
Target TypeExample:
host
Nested Schema : CredentialReference
Type:
arrayThis is the representation of credential references.
Show Source
Nested Schema : items
Type:
Show Source
object-
credentialName: string
Represents credential nameExample:
EMGA -
credentialType: string
Represents type of the credentialExample:
NAMED -
owner: string
Represents owner of the credentialExample:
SYSMAN -
usage: string
Represents credential usageExample:
defaultHostCred
Nested Schema : items
Type:
arrayThe list of procedure variables
Show Source
-
Array of:
object DeploymentProcedureVariableSummary
This is the representation of Procedure Variable
Nested Schema : DeploymentProcedureVariableSummary
Type:
objectThis is the representation of Procedure Variable
Match All
This is the representation of Procedure Variable
Show Source
-
object
DeploymentProcedureVariableDetails
Defining Variable for Deployment Procedure
Nested Schema : DeploymentProcedureVariableDetails
Type:
objectDefining Variable for Deployment Procedure
Show Source
-
variableName: string
Displays Deployment Procedure varibale nameExample:
userId -
variableValue: string
Displays Deployment Procedure varibale valueExample:
10001
Response
200 Response
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message